GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "0d5e4fd0-b544-4acd-8401-b3a69d364805",
"private_locations": [
{
"private_location_id": "ec957e2e-4422-4ab7-8e59-7939b3d84baf",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a443c8bf-49f1-4d51-a3f4-cfd5a1de6858"
},
{
"private_location_id": "f2642d5c-c718-4eb5-a7df-54c7a5e3654a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "cb3765b7-7e7b-48a5-93e3-3786e5f9443f"
},
{
"private_location_id": "f31838db-4ae9-46f8-a92f-a4b1d36d89ec",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "61e29d2e-aeb8-408e-a71f-8ca28fe7a0ad"
}
]
},
{
"access_group": "62f872be-58d4-47cc-bb33-283fbb178e6e",
"private_locations": [
{
"private_location_id": "f31838db-4ae9-46f8-a92f-a4b1d36d89ec",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "61e29d2e-aeb8-408e-a71f-8ca28fe7a0ad"
},
{
"private_location_id": "f2642d5c-c718-4eb5-a7df-54c7a5e3654a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "cb3765b7-7e7b-48a5-93e3-3786e5f9443f"
},
{
"private_location_id": "f31838db-4ae9-46f8-a92f-a4b1d36d89ec",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "61e29d2e-aeb8-408e-a71f-8ca28fe7a0ad"
}
]
},
{
"access_group": "ccea9463-6ade-44c4-85a6-84630320e89d",
"private_locations": [
{
"private_location_id": "f31838db-4ae9-46f8-a92f-a4b1d36d89ec",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "61e29d2e-aeb8-408e-a71f-8ca28fe7a0ad"
},
{
"private_location_id": "f2642d5c-c718-4eb5-a7df-54c7a5e3654a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "cb3765b7-7e7b-48a5-93e3-3786e5f9443f"
},
{
"private_location_id": "f2642d5c-c718-4eb5-a7df-54c7a5e3654a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "cb3765b7-7e7b-48a5-93e3-3786e5f9443f"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |